/*********************************************************************/
/* amiga.c      v 2.2      by J.Sobczyk IAPW       1998.12.04  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* AmigaPL                                                           */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl amiga_tbl =
  {
    { 0x0e2,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x0ea,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x0eb,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x0ee,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x0ef,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x0f3,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x0f4,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x0fa,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x0fb,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x0c2,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x0ca,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x0cb,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x0ce,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x0cf,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x0d3,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x0d4,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x0da,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x0db,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_amiga( void )
  {
  return table_test( amiga_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_amiga( void )
  {
  trans[ TYPE_AMIGA ].key		= "";
  trans[ TYPE_AMIGA ].long_key		= "-amiga";
  trans[ TYPE_AMIGA ].name		= "AmigaPL";
  trans[ TYPE_AMIGA ].reset_inp       	= NULL;
  trans[ TYPE_AMIGA ].reset_out       	= NULL;
  trans[ TYPE_AMIGA ].decode          	= table_decode;
  trans[ TYPE_AMIGA ].encode          	= table_encode;
  trans[ TYPE_AMIGA ].inp_tbl         	= amiga_tbl;
  trans[ TYPE_AMIGA ].inp_tbl_size    	= 2*POL_NR;
  trans[ TYPE_AMIGA ].out_tbl         	= amiga_tbl;
  trans[ TYPE_AMIGA ].out_tbl_size    	= 2*POL_NR;
  trans[ TYPE_AMIGA ].buf_tst         	= NULL;
  trans[ TYPE_AMIGA ].freq_tst        	= test_amiga;
  }

/*********************************************************************/
