/*********************************************************************/
/* atari.c      v 2.2      by J.Sobczyk IAPW       1998.12.04  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* Atari-Calamus                                                     */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl atari_tbl =
  {
    { 0x0d1,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x0d2,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x0d3,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x0d4,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x0d5,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x0d6,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x0d7,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x0d8,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x0d9,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x0c1,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x0c2,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x0c3,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x0c4,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x0c5,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x0c6,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x0c7,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x0c8,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x0c9,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_atari( void )
  {
  return table_test( atari_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_atari( void )
  {
  trans[ TYPE_ATARI ].key		= "";
  trans[ TYPE_ATARI ].long_key		= "-atari";
  trans[ TYPE_ATARI ].name		= "Atari-Clamus";
  trans[ TYPE_ATARI ].reset_inp       	= NULL;
  trans[ TYPE_ATARI ].reset_out       	= NULL;
  trans[ TYPE_ATARI ].decode          	= table_decode;
  trans[ TYPE_ATARI ].encode          	= table_encode;
  trans[ TYPE_ATARI ].inp_tbl         	= atari_tbl;
  trans[ TYPE_ATARI ].inp_tbl_size    	= 2*POL_NR;
  trans[ TYPE_ATARI ].out_tbl         	= atari_tbl;
  trans[ TYPE_ATARI ].out_tbl_size    	= 2*POL_NR;
  trans[ TYPE_ATARI ].buf_tst         	= NULL;
  trans[ TYPE_ATARI ].freq_tst        	= test_atari;
  }

/*********************************************************************/
