/*********************************************************************/
/* csk.c        v 2.2      by J.Sobczyk IAPW       1998.12.04  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* CSK                                                               */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl csk_tbl =
  {
    { 0x0a0,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x0a1,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x0a2,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x0a3,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x0a4,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x0a5,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x0a6,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x0a8,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x0a7,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x080,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x081,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x082,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x083,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x084,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x085,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x086,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x088,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x087,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_csk( void )
  {
  return table_test( csk_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_csk( void )
  {
  trans[ TYPE_CSK ].key			= "";
  trans[ TYPE_CSK ].long_key		= "-csk";
  trans[ TYPE_CSK ].name		= "CSK";
  trans[ TYPE_CSK ].reset_inp       	= NULL;
  trans[ TYPE_CSK ].reset_out       	= NULL;
  trans[ TYPE_CSK ].decode          	= table_decode;
  trans[ TYPE_CSK ].encode          	= table_encode;
  trans[ TYPE_CSK ].inp_tbl         	= csk_tbl;
  trans[ TYPE_CSK ].inp_tbl_size    	= 2*POL_NR;
  trans[ TYPE_CSK ].out_tbl         	= csk_tbl;
  trans[ TYPE_CSK ].out_tbl_size    	= 2*POL_NR;
  trans[ TYPE_CSK ].buf_tst         	= NULL;
  trans[ TYPE_CSK ].freq_tst        	= test_csk;
  }

/*********************************************************************/
