/*********************************************************************/
/* elwro.c      v 2.2      by J.Sobczyk IAPW       1998.12.04  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* ELWRO-Junior                                                      */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl elwro_tbl =
  {
    { 0x0e1,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x0e3,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x0e5,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x0ec,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x0ee,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x0ef,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x0f3,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x0fa,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x0f9,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x0c1,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x0c3,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x0c5,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x0cc,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x0ce,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x0cf,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x0d3,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x0da,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x0d9,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_elwro( void )
  {
  return table_test( elwro_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_elwro( void )
  {
  trans[ TYPE_ELWRO ].key		= "";
  trans[ TYPE_ELWRO ].long_key		= "-elwro";
  trans[ TYPE_ELWRO ].name		= "ELWRO-Junior";
  trans[ TYPE_ELWRO ].reset_inp       	= NULL;
  trans[ TYPE_ELWRO ].reset_out       	= NULL;
  trans[ TYPE_ELWRO ].decode          	= table_decode;
  trans[ TYPE_ELWRO ].encode          	= table_encode;
  trans[ TYPE_ELWRO ].inp_tbl         	= elwro_tbl;
  trans[ TYPE_ELWRO ].inp_tbl_size    	= 2*POL_NR;
  trans[ TYPE_ELWRO ].out_tbl         	= elwro_tbl;
  trans[ TYPE_ELWRO ].out_tbl_size    	= 2*POL_NR;
  trans[ TYPE_ELWRO ].buf_tst         	= NULL;
  trans[ TYPE_ELWRO ].freq_tst        	= test_elwro;
  }

/*********************************************************************/
