/*********************************************************************/
/* mazowia.c    v 2.0      by J.Sobczyk IAPW       1997.08.28  09:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* Mazowia                                                           */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl mazowia_tbl =
  {
    { 0x086,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x08d,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x091,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x092,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x0a4,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x0a2,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x09e,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x0a6,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x0a7,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x08f,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x095,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x090,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x09c,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x0a5,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x0a3,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x098,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x0a0,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x0a1,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_mazowia( void )
  {
  return table_test( mazowia_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_mazowia( void )
  {
  trans[ TYPE_MAZOWIA ].key		= "-m";
  trans[ TYPE_MAZOWIA ].long_key	= "-mazowia";
  trans[ TYPE_MAZOWIA ].name		= "Mazowia";
  trans[ TYPE_MAZOWIA ].reset_inp       = NULL;;
  trans[ TYPE_MAZOWIA ].reset_out       = NULL;;
  trans[ TYPE_MAZOWIA ].decode          = table_decode;
  trans[ TYPE_MAZOWIA ].encode          = table_encode;
  trans[ TYPE_MAZOWIA ].inp_tbl         = mazowia_tbl;
  trans[ TYPE_MAZOWIA ].inp_tbl_size    = 2*POL_NR;
  trans[ TYPE_MAZOWIA ].out_tbl         = mazowia_tbl;
  trans[ TYPE_MAZOWIA ].out_tbl_size    = 2*POL_NR;
  trans[ TYPE_MAZOWIA ].buf_tst         = NULL;
  trans[ TYPE_MAZOWIA ].freq_tst        = test_mazowia;
  }

/*********************************************************************/
