/*********************************************************************/
/* microvex.c   v 2.0      by J.Sobczyk IAPW       1997.08.28  09:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* Microvex                                                          */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl microvex_tbl =
  {
    { 0xA0,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x9B,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x82,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x9F,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0xA4,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0xA2,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x87,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0xA8,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x91,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x8F,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x80,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x90,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x9C,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0xA5,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x93,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x98,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x9D,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x92,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_microvex( void )
  {
  return table_test( microvex_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_microvex( void )
  {
  trans[ TYPE_MICROVEX ].key		= "-mv";
  trans[ TYPE_MICROVEX ].long_key	= "-microvex";
  trans[ TYPE_MICROVEX ].name		= "Microvex";
  trans[ TYPE_MICROVEX ].reset_inp       = NULL;;
  trans[ TYPE_MICROVEX ].reset_out       = NULL;;
  trans[ TYPE_MICROVEX ].decode          = table_decode;
  trans[ TYPE_MICROVEX ].encode          = table_encode;
  trans[ TYPE_MICROVEX ].inp_tbl         = microvex_tbl;
  trans[ TYPE_MICROVEX ].inp_tbl_size    = 2*POL_NR;
  trans[ TYPE_MICROVEX ].out_tbl         = microvex_tbl;
  trans[ TYPE_MICROVEX ].out_tbl_size    = 2*POL_NR;
  trans[ TYPE_MICROVEX ].buf_tst         = NULL;
  trans[ TYPE_MICROVEX ].freq_tst        = test_microvex;
  }

/*********************************************************************/
