/*********************************************************************/
/* swierk.c     v 2.2      by J.Sobczyk IAPW       1998.12.04  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* IEA-Swierk                                                        */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl swierk_tbl =
  {
    { 0x0a0,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x09b,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x082,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x09f,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x0a4,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x0a2,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x087,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x0a8,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x091,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x08f,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x080,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x090,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x09c,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x0a5,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x099,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x0eb,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x09d,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x092,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_swierk( void )
  {
  return table_test( swierk_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_swierk( void )
  {
  trans[ TYPE_SWIERK ].key		= "";
  trans[ TYPE_SWIERK ].long_key		= "-swierk";
  trans[ TYPE_SWIERK ].name		= "IEA-Swierk";
  trans[ TYPE_SWIERK ].reset_inp       	= NULL;
  trans[ TYPE_SWIERK ].reset_out       	= NULL;
  trans[ TYPE_SWIERK ].decode          	= table_decode;
  trans[ TYPE_SWIERK ].encode          	= table_encode;
  trans[ TYPE_SWIERK ].inp_tbl         	= swierk_tbl;
  trans[ TYPE_SWIERK ].inp_tbl_size    	= 2*POL_NR;
  trans[ TYPE_SWIERK ].out_tbl         	= swierk_tbl;
  trans[ TYPE_SWIERK ].out_tbl_size    	= 2*POL_NR;
  trans[ TYPE_SWIERK ].buf_tst         	= NULL;
  trans[ TYPE_SWIERK ].freq_tst        	= test_swierk;
  }

/*********************************************************************/
