/*********************************************************************/
/* windows.c    v 2.0      by J.Sobczyk IAPW       1997.08.28  09:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* Microsoft Windows code page 1250                                  */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*-------------------------------------------------------------------*/
#define WINDOWS_SIZE 73
unicode windows_tbl[WINDOWS_SIZE][2] = /* Microsoft Windows code page 1250 */
  {
    { 0x82,  0x201A },	/* SINGLE LOW-9 QUOTATION MARK */
    { 0x84,  0x201E },	/* DOUBLE LOW-9 QUOTATION MARK */
    { 0x85,  0x2026 },	/* HORIZONTAL ELLIPSIS */
    { 0x86,  0x2020 },	/* DAGGER */
    { 0x87,  0x2021 },	/* DOUBLE DAGGER */
    { 0x89,  0x2030 },	/* PER MILLE SIGN */
    { 0x8A,  0x0160 },	/* LATIN CAPITAL LETTER S WITH CARON */
    { 0x8B,  0x2039 },	/* SINGLE LEFT-POINTING ANGLE QUOTATION MARK */
    { 0x8C,  0x015A },	/* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x8D,  0x0164 },	/* LATIN CAPITAL LETTER T WITH CARON */
    { 0x8E,  0x017D },	/* LATIN CAPITAL LETTER Z WITH CARON */
    { 0x8F,  0x0179 },	/* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x91,  0x2018 },	/* LEFT SINGLE QUOTATION MARK */
    { 0x92,  0x2019 },	/* RIGHT SINGLE QUOTATION MARK */
    { 0x93,  0x201C },	/* LEFT DOUBLE QUOTATION MARK */
    { 0x94,  0x201D },	/* RIGHT DOUBLE QUOTATION MARK */
    { 0x95,  0x2022 },	/* BULLET */
    { 0x96,  0x2013 },	/* EN DASH */
    { 0x97,  0x2014 },	/* EM DASH */
    { 0x99,  0x2122 },	/* TRADE MARK SIGN */
    { 0x9A,  0x0161 },	/* LATIN SMALL LETTER S WITH CARON */
    { 0x9B,  0x203A },	/* SINGLE RIGHT-POINTING ANGLE QUOTATION MARK */
    { 0x9C,  0x015B },	/* LATIN SMALL LETTER S WITH ACUTE */
    { 0x9D,  0x0165 },	/* LATIN SMALL LETTER T WITH CARON */
    { 0x9E,  0x017E },	/* LATIN SMALL LETTER Z WITH CARON */
    { 0x9F,  0x017A },	/* LATIN SMALL LETTER Z WITH ACUTE */
    { 0xA1,  0x02C7 },	/* CARON */
    { 0xA2,  0x02D8 },	/* BREVE */
    { 0xA3,  0x0141 },	/* LATIN CAPITAL LETTER L WITH STROKE */
    { 0xA5,  0x0104 },	/* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0xAA,  0x015E },	/* LATIN CAPITAL LETTER S WITH CEDILLA */
    { 0xAF,  0x017B },	/* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
    { 0xB2,  0x02DB },	/* OGONEK */
    { 0xB3,  0x0142 },	/* LATIN SMALL LETTER L WITH STROKE */
    { 0xB9,  0x0105 },	/* LATIN SMALL LETTER A WITH OGONEK */
    { 0xBA,  0x015F },	/* LATIN SMALL LETTER S WITH CEDILLA */
    { 0xBC,  0x013D },	/* LATIN CAPITAL LETTER L WITH CARON */
    { 0xBD,  0x02DD },	/* DOUBLE ACUTE ACCENT */
    { 0xBE,  0x013E },	/* LATIN SMALL LETTER L WITH CARON */
    { 0xBF,  0x017C },	/* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0xC0,  0x0154 },	/* LATIN CAPITAL LETTER R WITH ACUTE */
    { 0xC3,  0x0102 },	/* LATIN CAPITAL LETTER A WITH BREVE */
    { 0xC5,  0x0139 },	/* LATIN CAPITAL LETTER L WITH ACUTE */
    { 0xC6,  0x0106 },	/* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0xC8,  0x010C },	/* LATIN CAPITAL LETTER C WITH CARON */
    { 0xCA,  0x0118 },	/* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0xCC,  0x011A },	/* LATIN CAPITAL LETTER E WITH CARON */
    { 0xCF,  0x010E },	/* LATIN CAPITAL LETTER D WITH CARON */
    { 0xD0,  0x0110 },	/* LATIN CAPITAL LETTER D WITH STROKE */
    { 0xD1,  0x0143 },	/* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0xD2,  0x0147 },	/* LATIN CAPITAL LETTER N WITH CARON */
    { 0xD5,  0x0150 },	/* LATIN CAPITAL LETTER O WITH DOUBLE ACUTE */
    { 0xD8,  0x0158 },	/* LATIN CAPITAL LETTER R WITH CARON */
    { 0xD9,  0x016E },	/* LATIN CAPITAL LETTER U WITH RING ABOVE */
    { 0xDB,  0x0170 },	/* LATIN CAPITAL LETTER U WITH DOUBLE ACUTE */
    { 0xDE,  0x0162 },	/* LATIN CAPITAL LETTER T WITH CEDILLA */
    { 0xE0,  0x0155 },	/* LATIN SMALL LETTER R WITH ACUTE */
    { 0xE3,  0x0103 },	/* LATIN SMALL LETTER A WITH BREVE */
    { 0xE5,  0x013A },	/* LATIN SMALL LETTER L WITH ACUTE */
    { 0xE6,  0x0107 },	/* LATIN SMALL LETTER C WITH ACUTE */
    { 0xE8,  0x010D },	/* LATIN SMALL LETTER C WITH CARON */
    { 0xEA,  0x0119 },	/* LATIN SMALL LETTER E WITH OGONEK */
    { 0xEC,  0x011B },	/* LATIN SMALL LETTER E WITH CARON */
    { 0xEF,  0x010F },	/* LATIN SMALL LETTER D WITH CARON */
    { 0xF0,  0x0111 },	/* LATIN SMALL LETTER D WITH STROKE */
    { 0xF1,  0x0144 },	/* LATIN SMALL LETTER N WITH ACUTE */
    { 0xF2,  0x0148 },	/* LATIN SMALL LETTER N WITH CARON */
    { 0xF5,  0x0151 },	/* LATIN SMALL LETTER O WITH DOUBLE ACUTE */
    { 0xF8,  0x0159 },	/* LATIN SMALL LETTER R WITH CARON */
    { 0xF9,  0x016F },	/* LATIN SMALL LETTER U WITH RING ABOVE */
    { 0xFB,  0x0171 },	/* LATIN SMALL LETTER U WITH DOUBLE ACUTE */
    { 0xFE,  0x0163 },	/* LATIN SMALL LETTER T WITH CEDILLA */
    { 0xFF,  0x02D9 }	/* DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_windows( void )
  {
  return table_test( windows_tbl, WINDOWS_SIZE );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_windows( void )
  {
  trans[ TYPE_WINDOWS ].key		= "-w";
  trans[ TYPE_WINDOWS ].long_key	= "-cp1250";
  trans[ TYPE_WINDOWS ].name		= "Microsoft Windows (code page 1250)";
  trans[ TYPE_WINDOWS ].reset_inp	= NULL;;
  trans[ TYPE_WINDOWS ].reset_out	= NULL;;
  trans[ TYPE_WINDOWS ].decode		= table_decode;
  trans[ TYPE_WINDOWS ].encode		= table_encode;
  trans[ TYPE_WINDOWS ].inp_tbl		= windows_tbl;
  trans[ TYPE_WINDOWS ].inp_tbl_size	= WINDOWS_SIZE;
  trans[ TYPE_WINDOWS ].out_tbl		= windows_tbl;
  trans[ TYPE_WINDOWS ].out_tbl_size	= WINDOWS_SIZE;
  trans[ TYPE_WINDOWS ].buf_tst		= NULL;
  trans[ TYPE_WINDOWS ].freq_tst	= test_windows;
  }

/*********************************************************************/
